# Generated from essytas-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name essytas

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: 2D open world RPG
License: MIT
URL: http://rylius.hazewood.de/wp/essytas/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(awesome_print)
BuildArch: noarch

%description
The game takes place in a huge fictional world, 'Essytas'. Unlike other games,
your goal is not to rescue the world from all evil but to lead a young man and
his family through their lives. Your decisions control the fate of the
characters.
As you may have guessed, there isn't a real storyline. Instead, not long into
the game a fire will destroy your village, forcing you to find a new shelter.
What happens next is completely up to you.
The game doesn't have an end, it ends when your character dies.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/essytas
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/Rakefile

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.1-1
- Initial package
